package com.phlx.anchorcollect.ui.bind;

import android.os.Bundle;

import androidx.lifecycle.ViewModelProviders;


import com.phlx.anchorcollect.R;
import com.phlx.anchorcollect.data.VMFactory;
import com.phlx.anchorcollect.databinding.ActivityBindBinding;
import com.phlx.anchorcollect.ui.base.BaseActivity;

import me.tatarka.bindingcollectionadapter2.BR;

public class BindActivity extends BaseActivity<ActivityBindBinding, BindVM> {
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_bind;
    }

    @Override
    public int initVariableId() {
        return BR.viewModel;
    }

    @Override
    public void initParam() {
        super.initParam();
    }

    @Override
    public BindVM initViewModel() {
        VMFactory factory = VMFactory.getInstance(getApplication());
        return ViewModelProviders.of(this, factory).get(BindVM.class);
    }

    @Override
    public void initData() {
        super.initData();

        viewModel.initToolbar();
    }

    @Override
    public void initViewObservable() {
        super.initViewObservable();
    }
}
